1

I'm trying to run openvibe-designer on my raspberry pie over vnc. Currently I am using Xvnc version TightVNC-1.3.9. All other applications that I've launched over vnc have worked. I only get this error when I run openvibe-designer. Any tips on how to resolve this issue would be greatly appreciated.

  • do this: sudo dmesg -c then run openvibe, then see what dmesg says. I think youre missing a library in your path. But, Im not sure. – j0h Aug 5 '14 at 5:35
  • I did what you suggested and after attempting to run openvibe dmesg didn't have anything to output. – Timothy Aug 7 '14 at 21:55
0

Try opening .bashrc file using fofllowing command

sudo nano /.bashrc

add this line to the code.

xhost +
0

X11 is a protocol that has grown quite a bit over the years, and where the natural place to put new functionality was in so-called "extensions". The error message indicates that the program you want to run, uses an extension that Xvnc does not have.

From https://wiki.archlinux.org/index.php/xrandr:

xrandr is an official configuration utility to the RandR (Resize and Rotate) X Window System extension. It can be used to set the size, orientation or reflection of the outputs for a screen.

To my knowledge there is no simple workaround. You can, however, install an X11 server on the computer you actually use and then tell openvibe-designer to use that instead. For ssh connections use ssh -Y raspberry in a session that has the DISPLAY variable set correctly.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.